# 備份還原工具 |uos-recovery-gui|

## 概述

為避免因軟體缺陷、硬體損毀、人為操作不當等因素造成資料缺失或損壞，您可以進行應用資料或系統資料的備份還原，以保障系統的正常執行。

您可以在控制中心首頁，單擊<img src="../common/uos-recovery.svg" height="40">進入備份還原工具，或在啟動器中直接尋找。

![backup_restore](fig/backup_restore.png)

## 備份

備份還原工具提供系統備份、資料備份兩種一般備份方式。二者的區別在於，系統備份不僅備份系統中的資料，還備份系統中安裝的應用程式、使用者設定、系統參數等資訊，以便迅速復原整個系統。

![backup](fig/backup.png)

### 系統備份

您可以透過系統備份，備份您的系統目錄，快速建立系統還原點。

![system_backup](fig/system_backup.png)

1. 進入備份還原工具，選擇 **備份 > 系統備份**，單擊 **下一步**。

2. 在身份認證跳出視窗中，認證管理員使用者的身份。認證成功後進入系統備份頁面，您可以設定備份模式和備份文件的儲存路徑。
  
   - 備份模式：系統備份、全盤備份
     
     - 系統備份：備份根分區、啟動分區
     
     - 全盤備份：備份全磁碟的系統檔案和使用者文件
   
   - 儲存方式：新增備份、系統增量備份
   
   > ![notes](../common/notes.svg)說明：全盤備份無法備份在自己本身的磁碟裡，只能備份在其他儲存介質中，備份過程中請勿移除儲存介質。

3. 單擊 **開始備份**，彈出二次驗證框，單擊 **重啟並備份**，等待備份完成。
  
   > ![attention](../common/attention.svg)注意：在備份過程中，請不要拔掉電源或強行關機，以防止資料的遺失或損壞。

### 資料備份

您可以透過資料備份，指定文件和目錄進行備份，以防資料遺失或受損。

![data_backup](fig/data_backup.png)

1. 進入備份還原工具，選擇 **備份 > 資料備份**，單擊 **下一步**。

2. 在身份認證跳出視窗中，認證目前登入使用者的身份。認證成功後進入資料備份頁面，您可以選擇需要備份的資料和儲存裝置。
  
   - 單擊 <img src="../common/add.png" height="40">，選擇所需備份的文件，選擇後文件目錄會顯示在下方的備份列表中。
   - 單擊 **儲存目錄** 下拉框，選擇儲存裝置。
   
   > ![notes](../common/notes.svg)說明：備註資訊為選填。

3. 單擊 **開始備份**，等待備份完成。
  
   > ![attention](../common/attention.svg)注意：資料備份僅支援備份到外接儲存裝置，所以在進入資料備份前，請先接入可移動儲存裝置。備份過程中，請不要移除可移動儲存裝置，否則會導致備份失敗。

## 還原

備份還原工具提供系統還原、資料還原、復原出廠設定三種還原方式。


### 系統還原

您可以透過系統還原，從備份的系統還原點還原系統。

![system_restore](fig/system_restore.png)


1. 進入備份還原工具，選擇 **還原 > 系統還原**，單擊 **下一步**。
2. 在身份認證跳出視窗中，認證管理員使用者的身份。認證成功後進入系統還原頁面，您可以選擇從備份文件還原或從歷史備份還原。
   - 從備份文件還原
     1. 單擊 **從備份文件還原**。
     2. 單擊 ![loadfile](../common/loadfile.svg)，選擇備份文件。
     3. 單擊 **開始還原**，彈出二次驗證框，單擊 **重啟並還原**，等待還原完成。
   - 從歷史備份還原
     1. 單擊 **歷史備份**。
     2. 在歷史備份列表中選擇歷史備份文件。
     3. 單擊 **開始還原**，彈出二次驗證框，單擊 **重啟並還原**，等待還原完成。

> ![notes](../common/notes.svg)說明：若要使用系統還原，需要存在歷史備份文件。

### 資料還原

您可以透過資料還原，從資料備份中還原資料。

![data_restore](fig/data_restore.png)

1. 進入備份還原工具，選擇 **還原 > 資料還原**，單擊 **下一步**。
2. 在身份認證跳出視窗中，認證目前登入使用者的身份。認證成功後進入資料還原頁面，在列表中選擇資料備份文件。
3. 單擊 **開始還原**，等待還原完成。

> ![attention](../common/attention.svg)注意：進入資料還原前，請先接入可移動儲存裝置，並確保存在歷史備份資料。還原過程中，請不要移除可移動儲存裝置，否則會導致還原失敗。
> 

### 復原出廠設定

您可以透過復原出廠設定，將您的系統復原到初始狀態。

![factory_reset](fig/factory_reset.png)

1. 進入備份還原工具，選擇 **還原 > 復原出廠設定**，單擊 **下一步**。
2. 在身份認證跳出視窗中，認證管理員使用者的身份。認證成功後進入復原出廠設定頁面，選擇是否勾選 **保留個人資料**，預設為勾選。
3. 單擊 **開始還原**，等待還原完成。

## 整機備份

除系統備份、資料備份兩種一般備份方式外，備份還原工具還提供進階功能——整機備份，一鍵複製您的系統環境和資料，並可以安裝到其他裝置上。

![full_backup](fig/full_backup.png)

1. 進入備份還原工具，選擇 **進階 > 整機備份**，單擊 **下一步**。
2. 在身份認證跳出視窗中，認證管理員使用者的身份。認證成功後進入整機備份頁面，單擊 **選擇目錄**，選擇 uimg 鏡像文件存放目錄。
3. 單擊 **開始製作**，等待備份完成。

> 說明：複製的文件可以透過安裝器安裝。
